> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Customer

You can delete a customer via this API request. In addition to deleting or anonymizing the customer within Yuno, this request will also trigger the deletion process with the payment providers the customer has interacted with.


## OpenAPI

````yaml openapi/customers/delete-customer.json DELETE /customers/{customer_id}
openapi: 3.1.0
info:
  title: payment-api-create-payment-back-to-back
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /customers/{customer_id}:
    delete:
      operationId: delete-customer
      parameters:
        - in: header
          name: x-account-code
          schema:
            type: string
          description: The account_id found in the Yuno Dashboard (UUID | MAX 36; MIN 36).
          required: true
        - in: path
          name: customer_id
          schema:
            type: string
          required: true
      responses:
        '202':
          description: Accepted (body is empty)
        '400':
          description: Customer not found
          content:
            application/json:
              examples:
                Customer Not Found:
                  value:
                    code: CUSTOMER_NOT_FOUND
                    messages:
                      - Customer not found.
                  summary: Customer Not Found
                Bad Request:
                  summary: Bad Request
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: NOT_FOUND
                  messages:
                    type: array
                    items:
                      type: string
                    example:
                      - Not found
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````